Package com.saxonica.ee.schema

## Class ValueRangeFacet

- java.lang.Object
- - com.saxonica.ee.schema.Facet
  - - com.saxonica.ee.schema.ValueRangeFacet

- Direct Known Subclasses:
    `MaxExclusiveFacet`, `MaxInclusiveFacet`, `MinExclusiveFacet`, `MinInclusiveFacet`

      public abstract class ValueRangeFacet
      extends Facet

  Represents any of the facets minInclusive, maxInclusive, minExclusive, maxExclusive

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueRangeFacet()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkFacetRestriction​(UserSimpleType type, SimpleType base, SchemaCompiler compiler)` | Check that this facet is legal when used on a type derived by restriction
    `protected void` | `convertToTargetType​(SimpleType base, Configuration config)` |
    `Function` | `getFacetAsFunctionItem()` | Get a function item that represents this Facet schema component.
    `AtomicValue` | `getRequiredValue()` |
    `java.lang.String` | `getValue()` | Returns the lexical representation of the value of this facet
    `void` | `setRequiredValue​(AtomicValue value)` |
    `void` | `setValue​(java.lang.String value)` |
    `boolean` | `testAtomicValue​(AtomicValue value)` | Test whether an atomic value conforms to this facet
    `protected abstract boolean` | `testComparisonOK​(int comparisonResult)` | Test whether the comparison with the min or max value is a valid result

    - ### Methods inherited from class com.saxonica.ee.schema.Facet

      `getConstraintName, getMessage, getName, getWhitespaceAction, isConstraining, isFacetName, isFixed, isNewlyIntroduced, makeFacet, serializeFacet, setFixed, setMessage, testLength, testListValue, toLong`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueRangeFacet

          public ValueRangeFacet()

  - ### Method Detail

    - #### getValue

          public java.lang.String getValue()

      Description copied from class: `Facet`
      Returns the lexical representation of the value of this facet
      Specified by:
        `getValue` in class `Facet`
      Returns:
        the value of this facet, as a string

    - #### setValue

          public void setValue​(java.lang.String value)
                        throws SchemaException

      Throws:
        `SchemaException`

    - #### setRequiredValue

          public void setRequiredValue​(AtomicValue value)

    - #### getRequiredValue

          public AtomicValue getRequiredValue()

    - #### checkFacetRestriction

          public void checkFacetRestriction​(UserSimpleType type,
                                            SimpleType base,
                                            SchemaCompiler compiler)
                                     throws SchemaException,
                                            ValidationException

      Check that this facet is legal when used on a type derived by restriction
      Overrides:
        `checkFacetRestriction` in class `Facet`
      Parameters:
        `base` - the type from which the restricted type is derived
        `compiler` -
        `type` - the type on which the facet is defined
      Throws:
        `SchemaException` - if the facet is not legal
        `ValidationException` - if a value is found that does not conform to the facet

    - #### convertToTargetType

          protected void convertToTargetType​(SimpleType base,
                                             Configuration config)
                                      throws SchemaException

      Throws:
        `SchemaException`

    - #### testAtomicValue

          public boolean testAtomicValue​(AtomicValue value)

      Test whether an atomic value conforms to this facet
      Specified by:
        `testAtomicValue` in class `Facet`
      Parameters:
        `value` - the value to be tested
      Returns:
        true if the value conforms; false if it doesn't conform, or if the test fails

    - #### testComparisonOK

          protected abstract boolean testComparisonOK​(int comparisonResult)

      Test whether the comparison with the min or max value is a valid result
      Parameters:
        `comparisonResult` - the result of comparing the actual value with the specified min or max value, as defined using the compareTo() method
      Returns:
        true if the comparison is OK, that is, if the value conforms to the facet

    - #### getFacetAsFunctionItem

          public Function getFacetAsFunctionItem()

      Description copied from class: `Facet`
      Get a function item that represents this Facet schema component.
      Specified by:
        `getFacetAsFunctionItem` in class `Facet`